polybori::pbori_traits< ValueType > Class Template Reference

This class contains property definitions to be used in polybori classes. More...

`#include <traits.h>`

## Public Types

typedef ValueType | value_type
typedef value_type::bool_type | bool_type
| Type for standard true/false statements. More...
typedef value_type::size_type | size_type
| Type for lengths, dimensions, etc. More...
typedef value_type::integer_type | integer_type
| Type for integer numbers. More...
typedef value_type::idx_type | idx_type
| Type for indices. More...
typedef value_type::comp_type | comp_type
| Type for comparisons. More...
typedef value_type::hash_type | hash_type
| Type for hashing. More...
typedef value_type::ostream_type | ostream_type
| Type for out-stream. More...
typedef value_type::easy_equality_property | easy_equality_property
| The property whether the equality check is easy. More...

## Detailed Description

### template<class ValueType>
class polybori::pbori_traits< ValueType >

This class contains property definitions to be used in polybori classes.

## Member Typedef Documentation

template<class ValueType >

typedef value_type::bool_type polybori::pbori_traits< ValueType >::bool_type

Type for standard true/false statements.

template<class ValueType >

typedef value_type::comp_type polybori::pbori_traits< ValueType >::comp_type

Type for comparisons.

template<class ValueType >

typedef value_type::easy_equality_property polybori::pbori_traits< ValueType >::easy_equality_property

The property whether the equality check is easy.

template<class ValueType >

typedef value_type::hash_type polybori::pbori_traits< ValueType >::hash_type

Type for hashing.

template<class ValueType >

typedef value_type::idx_type polybori::pbori_traits< ValueType >::idx_type

Type for indices.

template<class ValueType >

typedef value_type::integer_type polybori::pbori_traits< ValueType >::integer_type

Type for integer numbers.

template<class ValueType >

typedef value_type::ostream_type polybori::pbori_traits< ValueType >::ostream_type

Type for out-stream.

template<class ValueType >

typedef value_type::size_type polybori::pbori_traits< ValueType >::size_type

Type for lengths, dimensions, etc.

template<class ValueType >

typedef ValueType polybori::pbori_traits< ValueType >::value_type

The documentation for this class was generated from the following file:

- traits.h